__gnu_parallel::_SamplingSorter< __stable, _RAIter, _StrictWeakOrdering > Struct Template Reference

## Public Member Functions

void | operator() (_RAIter __first, _RAIter __last, _StrictWeakOrdering __comp)

## Detailed Description

### template<bool __stable, class _RAIter, class _StrictWeakOrdering>
struct __gnu_parallel::_SamplingSorter< __stable, _RAIter, _StrictWeakOrdering >

Stable sorting functor.

Used to reduce code instanciation in multiway_merge_sampling_splitting.

Definition at line 1007 of file multiway_merge.h.

The documentation for this struct was generated from the following file:

- multiway_merge.h